lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name = 'harold'
  spec.version = '0.1.1'
  spec.authors = ['grdw']
  spec.email = ['gerard@wetransfer.com']

  spec.summary = 'Helpers for collaborative environments'
  spec.description = <<~EOS
    Library that contains helpers for collaborative environments
  EOS
  spec.homepage = 'https://github.com/wetransfer/harold'
  spec.license = 'GPL-3.0'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/wetransfer/harold'
  spec.metadata['changelog_uri'] = 'https://github.com/wetransfer/harold/CHANGELOG.md'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added
  # into git.
  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.1'
  spec.add_development_dependency 'rspec', '~> 3.9'
  spec.add_development_dependency 'rubocop', '~> 0.79'
end
